The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete rulesets request

Prev Next

This API deletes the rulesets in a YARA policy.

POST https://<etp_instance_addr>/api/v1/policies/policy_uuid/configuration/rules/yara/rulesets/delete

Required header:

x-fireeye-api-key: <key>—Specifies your personal API key.

Content-Type: application/json—Content-type of the request body.

Options

policy_uuid— universally unique identifier (UUID) of the policy.

Request body

{
    "ruleset_uuids": ["a000cd73-7289-400b-4d1a-b65f1a826522", "8b095a87-9713-448b-6f89-0c9c1844e01a"]
}

Example of the request

Values for ID and other fields are for illustration only.

POST https://etp.us.fireeye.com/api/v1/policies/6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/delete -H 'Content-Type: application/json'

Example of the response

{
  "successful_uuids": [
    "2bbf12a2-761c-494c-69c4-3376df962f90"
  ],
  "meta": {
    "copyright": "Copyright 2021 FireEye Inc",
    "type": "Yara Rules"
  }
}

Example of the partial success response

{
  "successful_uuids": [
    "2bbf12a2-761c-494c-69c4-3376df962f90"
  ],
  "failed_uuids": [
    "3rrf12a2-761c-494c-69c4-3376df962453"
  ],
  "meta": {
    "copyright": "Copyright 2021 FireEye Inc",
    "type": "Yara Rules"
  }
}

cURL code sample: delete rulesets

curl -k -XPOST https://etp.us.fireeye.com/api/v1/policies/6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/delete -H 'Content-Type: application/json' -H 'x-fireeye-api-key: <feye-key>' -d '{"ruleset_uuids":["41e297b2-a4d3-40b0-4e32-03f68a333b20"]}'

This cURL sample includes the following options:

  • -X POST—This option changes the HTTP method to POST.

  • --header "Content-Type: application/json"—This header specifies that the server's response body is expected to be in JSON format.

  • --header 'x-fireeye-api-key: <feye-key>'—This header specifies your personal API key.

  • https://etp.us.fireeye.com/api/v1/policies/6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9/configuration/rules/yara/rulesets/delete—The delete rulesets URL. Replace etp.us.fireeye.com with the IP address of your Email Security — Cloud instance and 6d92fac1-f8e6-11eb-993c-02a7fc9eb3d9 with the UUID of the YARA policy.

Results

This example deletes the rulesets.